"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const listr_1 = __importDefault(require("listr"));
const inquirer_1 = require("inquirer");
const service_1 = require("../../utils/service");
const login_1 = require("../../utils/login");
const ipfsClient = require('ipfs-http-client');
class Service extends command_1.Command {
    constructor() {
        super(...arguments);
        this.ipfsClient = ipfsClient('ipfs.app.mesg.com', '5001', { protocol: 'http' });
    }
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { args, flags } = this.parse(Service);
            const password = flags.password
                ? flags.password
                : (yield inquirer_1.prompt([{ name: 'password', type: 'password', message: 'Type the password of your account' }])).password;
            let definition;
            let service;
            yield login_1.loginFromCredential(this.config.configDir, password);
            const tasks = new listr_1.default([
                {
                    title: 'Compiling service',
                    task: () => __awaiter(this, void 0, void 0, function* () {
                        definition = yield service_1.compile(args.PATH, this.ipfsClient);
                    })
                },
                {
                    title: 'Creating service',
                    skip: () => 'not yet implemented',
                    task: () => __awaiter(this, void 0, void 0, function* () {
                        // service = await create(lcd, definition, credential.mnemonic)
                    })
                },
            ]);
            yield tasks.run();
            // this.log(`Service deployed with the hash ${service.hash}`)
            // this.log(`https://explorer.testnet.mesg.com/services/${service.hash}`)
        });
    }
}
exports.default = Service;
Service.description = 'Deploy a service';
Service.flags = {
    password: command_1.flags.string({ description: "Password of your account" })
};
Service.args = [{
        name: 'PATH',
        description: 'Path or url of a service',
        default: './'
    }];
