"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const inquirer_1 = require("inquirer");
const login_1 = require("../utils/login");
class Login extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(Login);
            if (login_1.loggedIn(this.config.configDir))
                this.error('Already logged in');
            const email = flags.email
                ? flags.email
                : (yield inquirer_1.prompt([{ name: 'email', message: 'Your email' }])).email;
            const password = flags.password
                ? flags.password
                : (yield inquirer_1.prompt([{ name: 'password', type: 'password', message: 'Your password' }])).password;
            try {
                const { user } = yield login_1.login(this.config.configDir, email, password);
                this.log(`Successfully logged in with the email: ${user.email}`);
            }
            catch (e) {
                this.error(e.message);
            }
        });
    }
}
exports.default = Login;
Login.description = 'Login to a registry';
Login.flags = {
    email: command_1.flags.string({ name: 'Email' }),
    password: command_1.flags.string({ name: 'Password' })
};
